Recent changes
GET
/api/v1/changes
const url = 'http://127.0.0.1:8484/api/v1/changes';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8484/api/v1/changes \ --header 'Authorization: Bearer <token>'Recent changes with who made them (member, agent or system). Each id can be passed to undo.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
entries
required
Array<object> | null
object
action
required
string
actor
required
string
actorKind
required
string
at
required
string
entity
required
string
entityId
required
string
id
required
string
undoneBy
string
Example
{ "$schema": "https://example.com/api/schemas/AuditLog.json"}default
Section titled “default”Error
Media typeapplication/problem+json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "$schema": "https://example.com/api/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}